SDL_Metal_CreateView(3)

NAME
SDL_Metal_CreateView - Create a CAMetalLayer-backed NSView/UIView and attach it to the specified window.

HEADER FILE
Defined in SDL3/SDL_metal.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_MetalView SDL_Metal_CreateView(SDL_Window *window);

DESCRIPTION
On macOS, this does not associate a MTLDevice with the CAMetalLayer on its own. It is up to user code to do that.

The returned handle can be casted directly to a NSView or UIView. To access the backing CAMetalLayer, call SDL_Metal_GetLayer ().

FUNCTION PARAMETERS

window
    the window.

RETURN VALUE
( SDL_MetalView ) Returns handle NSView or UIView.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_Metal_DestroyView(3), •(3), SDL_Metal_GetLayer(3)